/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

#pragma ident	"@(#)arg_test.c	1.9	09/05/26 SMI"

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

/*
 * Short test program to test the argument processing in args.o for
 * arbitrary options.
 */

#include <stdio.h>
#include "args.h"
#include "time.h"

void *usage_tracking_handle;

const int this_proc = 0;
void *
alloc_mem(long a, long b)
{
	return (calloc(a, b));
}

void
nop(void)
{
}

int
main(int argc, char **argv)
{
	short s;
	int n;
	char *str;
	const struct option_ops *opts;
	const char *path;

	path = set_diskomizer_path();

	/* do_args implicitly calls opts_init() */
	if (0 == do_args(argc, argv, pprintf, path)) {
		(void) fprintf(stderr, "do_args failed\n");
		exit(1);
	}

	if (option_ops.opt_short("SHORT_TEST", &s)) {
		(void) fprintf(stderr, "SHORT_TEST = %hd\n", s);
	}
	if (option_ops.opt_int("NPROCS", &n)) {
		(void) fprintf(stderr, "NPROCS = %d\n", n);
	}
	opts = opts_init();
	if (opts->opt_str("DEVICE", &str) && str != NULL) {
		(void) fprintf(stderr, "DEVICE =%s\n", str);
	}
	opts_fini();
	opts_fini();
	/* This should return not found */
	if (option_ops.opt_short("SHORT_TEST", &s)) {
		(void) fprintf(stderr,
		    "Argg SHORT_TEST = %hd after opts_fini\n", s);
	}
	exit(0);
	return (0);
}
