/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)async.h	1.6	09/05/26 SMI"

#ifndef _ASYNC_H
#define	_ASYNC_H

#include <pthread.h>

#ifdef	__cplusplus
extern "C" {
#endif

struct async_work {
	union {
		struct {
			void *(*func)(void *arg);
			int (*cancel)(void *arg, int);
		} funcs;
		struct async_work *next; /* used internally only */
	} u;
	void *arg;
	void *result;
	int flags;
};

extern void * async_queue_request(struct async_work *work);
extern struct async_work *async_queue_wait(
		void *handle, const struct timespec *abstime,
		int flags);
extern int async_cancel_request(struct async_work *handle, int flags);

#define	ASYNCWORK_COMPLETE (1 << 30)

#ifdef	__cplusplus
}
#endif

#endif /* _ASYNC_H */
