/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)buf_init.h	1.5	09/05/26 SMI"

#ifndef _DISKOMIZER_BUF_INIT_H
#define	_DISKOMIZER_BUF_INIT_H

#ifdef	__cplusplus
extern "C" {
#endif

typedef uchar_t (*write_buf_initializer_t)(int buf, int i);
typedef void (*read_buf_initializer_t)(uchar_t *, ulong_t len,
	const uchar_t * const);

write_buf_initializer_t setup_write_buf_initializer(void);
read_buf_initializer_t setup_read_buf_initializer(void);

#ifdef	__cplusplus
}
#endif

#endif /* _DISKOMIZER_BUF_INIT_H */
