/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)daio_async.h	1.8	09/05/26 SMI"

#ifndef _DAIO_ASYNC_H
#define	_DAIO_ASYNC_H

#include <diskomizer/daio.h>

#ifdef	__cplusplus
extern "C" {
#endif

extern int daio_async_cancel(daio_result_t *x);
extern data_checker_t daio_async_get_checker(void);
extern daio_result_t *daio_async_wait(const struct timeval *timeout);
extern hrtime_t daio_async_end_time(daio_result_t *resultp);
extern hrtime_t daio_async_start_time(daio_result_t *resultp);
extern daio_status_t daio_async_status(daio_result_t *resultp);
extern daio_result_t *daio_async_wait(const struct timeval *timeout);
extern void * daio_async_init(int count);
extern void daio_async_init_checker(const char *checker,
	off64_t max_block_size);
extern void  daio_async_fini(void *);
extern ssize_t daio_async_pread(int fildes, uchar_t *bufp, size_t bufs,
		off_t off, struct daio_id *id);
extern ssize_t daio_async_pwrite(int fildes, const uchar_t *bufp, size_t bufs,
		off_t off, struct daio_id *id);


typedef enum {
	IS_READ = 0,
	IS_WRITE = 1
} read_or_write_t;

extern int daio_async_rw(int fildes, uchar_t *bufp, int  bufs, off_t
	offset, daio_result_t *resultp, struct daio_id *id,
	ssize_t (*rw)(int fildes, void  *buf,  size_t  nbyte,  off_t offset),
	read_or_write_t is_write);

#ifdef	__cplusplus
}
#endif

#endif /* _DAIO_ASYNC_H */
