/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)device_control.h	1.7	09/05/26 SMI"

#ifndef _DEVICE_CONTROL_H
#define	_DEVICE_CONTROL_H

#ifdef	__cplusplus
extern "C" {
#endif

typedef void (*restart_stopped_devices_t)(off64_t,
	struct device *, struct timeval *);

extern int all_running(void);
extern void init_device_control(struct device *devices);
extern dev_state set_dev_state(struct device *device, dev_state oldstate,
	dev_state newstate, struct timeval *now);
extern dev_state
	get_dev_state(struct device *device, struct timeval *now);
extern struct timeval set_ttl(struct timeval tv, long long max, long long min);
extern restart_stopped_devices_t restart_stopped_devices;

#ifdef	__cplusplus
}
#endif

#endif /* _DEVICE_CONTROL_H */
