#!/bin/ksh -p
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#

#ident	"@(#)diskomizer.sh	1.12	09/05/26 SMI"

#
# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# Simple script to call the correct program.
#
bindir=${0%/*}
if [[ ${bindir#/} = ${bindir} ]]
then
        bindir=${PWD}/$bindir
fi
libdir=${bindir%/bin}/lib
etcdir=${bindir%/bin}/etc

function doit
{
	isa=$1
	shift
	prog=$1
	shift
	exec ${bindir}/${isa}/${prog} ${1+"$@"}
}
for isa in $(isalist 2> /dev/null)
do
	# SunPRO compilers opimizer flags are -xOn where n is 0-5
	for level in 5 4 3 2 1 0
	do
		test -x ${bindir}/${isa}-xO${level}/${0##*/} && \
			doit ${isa}-xO${level} ${0##*/} ${1+"$@"}
	done
	# gcc optimizer flag is -O
	test -x ${bindir}/${isa}-O/${0##*/} && \
		doit ${isa}-O ${0##*/} ${1+"$@"}
	test -x ${bindir}/${isa}/${0##*/} && \
		doit ${isa} ${0##*/} ${1+"$@"}
done
