/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)findap.h	1.14	09/05/26 SMI"

#ifndef _DISKOMIZER_FINDAP_H
#define	_DISKOMIZER_FINDAP_H

#ifdef	__cplusplus
extern "C" {
#endif

struct about_dev {
	char *wwa;
	long lun;
	char part;
	char israw;
};
struct other_paths {
	char *path;
	struct other_paths *next;
};
struct paths {
	char *logicalpath;
	struct other_paths *op;
};
extern struct paths *findap(const char *path, const char *devices);
extern void findap_fini(void);
extern void print_paths(struct paths *paths);
extern void free_paths(struct paths *paths);
extern char *full_path(char *link, char *target);

#ifdef	__cplusplus
}
#endif

#endif	/* _DISKOMIZER_FINDAP_H */
