/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)assert.h	1.5	09/05/26 SMI"

#ifndef _ASSERT_H
#define	_ASSERT_H

#ifdef	__cplusplus
extern "C" {
#endif

#include "log.h"
#include "stack_trace.h"
#ifdef assert
#undef assert
#endif
#define	assert(x) if (!(x)) { \
	pfprintf(stderr, "Assertion failed: %s, file %s, line %d\n", #x, \
		__FILE__, __LINE__); \
	fprint_stack_trace((int (*)(void *, const char *, ...)) \
		pfprintf, (void *) stderr);\
	exit(1); \
}

#ifdef	__cplusplus
}
#endif

#endif /* _ASSERT_H */
