/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)log.h	1.16	09/05/26 SMI"

#ifndef _DISKOMIZER_LOG_H
#define	_DISKOMIZER_LOG_H

#include <stdio.h>
#include <syslog.h>
#include <stdarg.h>
#include <time.h>

#ifdef	__cplusplus
extern "C" {
#endif

extern void plog(int priority, const char *message, ...);
/* like plog, but prepend the timestamp */
extern void time_now_log(int priority, const char *message, ...);
extern void time_log(int priority, time_t tyme, const char *message, ...);
extern void popenlog(const char *ident);
extern void pprintf(char *fmt, ...);
extern void pfprintf(FILE *fp, const char *fmt, ...);
extern void pperror(char *str, ...);
extern void new_log_transaction(FILE *fp);
extern int get_error_instance_number(void);
extern void vlog(int priority, const char *message,  va_list ap);
extern void plog_number_of_bytes(int priority, unsigned long long  x,
	char *singular, char *plural);

extern void dlog(int pri, const char *fmt, ...);
extern void dfprintf(FILE *fp, const char *fmt, ...);
extern void dtime_log(int priority, time_t tyme, const char *message, ...);

#ifdef	__cplusplus
}
#endif

#endif	/* _DISKOMIZER_LOG_H */
