/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)recent.h	1.5	09/05/26 SMI"

#ifndef _DISKO_RECENT_H
#define	_DISKO_RECENT_H

#ifdef	__cplusplus
extern "C" {
#endif

typedef unsigned long long  ullong_t;

struct recent_blocks {
	/*
	 * An circular of the most recently written blocks.
	 */
	short	length;
	short	first;
	short	last;
	short	frozen_block_count;
	ullong_t  recent_blocks[1];
};
struct recent_blocks *init_recent(short count);

extern ullong_t (*push_recent)(struct recent_blocks *blks, ullong_t off);
extern ullong_t (*pop_recent)(struct recent_blocks *blks);
extern int (*snapshot_recent)(struct recent_blocks *blks);

#ifdef	__cplusplus
}
#endif

#endif	/* _DISKO_RECENT_H */
