/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)tnf.h	1.5	09/05/26 SMI"

#ifndef	_TNF_H
#define	_TNF_H

#ifdef __cplusplus
extern "C" {
#endif

#include <tnf/probe.h>
#if defined(__SunOS_5_5_1)
/* 5.5.1 does not have tnf_int  or tnf_uint. See bug #1261556 */
typedef tnf_long_t tnf_int_t;
#define	tnf_int(ops, item, ref) tnf_long(ops, item, ref)
#define	tnf_int_tag_data tnf_long_tag_data

typedef tnf_ulong_t tnf_uint_t;
#define	tnf_uint(ops, item, ref) tnf_ulong(ops, item, ref)
#define	tnf_uint_tag_data tnf_ulong_tag_data
#endif

#ifdef __cplusplus
}
#endif

#endif /* _TNF_H */
