/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)vtoc.h	1.7	09/05/26 SMI"

#ifndef _DISKOMIZER_VTOC_H
#define	_DISKOMIZER_VTOC_H

#ifdef	__cplusplus
extern "C" {
#endif

#ifndef _LARGEFILE64_SOURCE
#define	_LARGEFILE64_SOURCE
#endif

#include <sys/types.h>
#include <sys/dkio.h>
#include <sys/vtoc.h>
#include <sys/efi_partition.h>

#include <diskomizer/user_vtoc.h>

extern void *read_disko_vtoc(int fd);
extern const char *disko_vtoc_volume(void *handle);
extern const char *disko_vtoc_asciilabel(void *handle);
extern uint_t disko_vtoc_sectorsz(void *handle);
extern uint_t disko_vtoc_nparts(void *handle);
extern uint_t disko_vtoc_this_part(void *handle);
extern const struct disko_partition *disko_vtoc_this_partition(void *handle);
extern const struct disko_partition *disko_vtoc_parts(void *handle,
	uint_t part);

extern void disko_vtoc_free(void *handle);

#ifdef	__cplusplus
}
#endif

#endif /* _DISKOMIZER_VTOC_H */
