/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)usage_tracking.h	1.7	09/05/26 SMI"

#ifndef _DISKOMIZER_USAGE_TRACKING_H
#define	_DISKOMIZER_USAGE_TRACKING_H

#ifdef	__cplusplus
extern "C" {
#endif

#ifndef _LARGEFILE64_SOURCE
#define	_LARGEFILE64_SOURCE
#endif

#define	USAGE_TRACKING "USAGE_TRACKING"
#define	USAGE_TRACKING_VERSION "0.3"

extern void usage_tracking_store_key_value(void *handle,
	const char *key, const char *value);
extern void usage_tracking_store_key_value_int(void *handle,
	const char *key, const long long value);
extern int usage_tracking_open_key(void *handle,
	const char *key, const char *version, const char *id);
extern int usage_tracking_close_key(void *handle);
extern void usage_tracking_store_value(void *handle, const char *value);

extern void *
open_usage_tracking(const char *dom,
	const char *sendmail,
	const char *to,
	const char *from,
	const char *tool,
	const char *version);
extern void close_usage_tracking(void *handle);
extern void send_usage_tracking(void *handle);
extern void save_usage_tracking(void *handle, const char *file);

#ifdef	__cplusplus
}
#endif

#endif /* _DISKOMIZER_USAGE_TRACKING_H */
