/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)list.h	1.8	09/05/26 SMI"

#ifndef _LIST_H
#define	_LIST_H

#ifdef	__cplusplus
extern "C" {
#endif

#include <diskomizer/assert.h>
#define	LIST_ADD(A, B) \
{ \
	assert((B)->next == NULL && (B)->prev == NULL); \
	if ((A)->head != NULL) { \
		(B)->next = (A)->head; \
		(A)->head->prev = (B); \
	} \
	if ((A)->tail == NULL) { \
		(A)->tail = (B); \
	} \
	(A)->head = (B); \
	(B)->prev = NULL; \
}

#define	LIST_REMOVE(A, B) \
{ \
	if ((B)->prev == NULL) { \
		(A)->head = (B)->next; \
		if ((B)->next != NULL) \
			(B)->next->prev = NULL; \
	} else { \
		(B)->prev->next = (B)->next; \
	} \
	if ((B)->next == NULL) { \
		(A)->tail = (B)->prev; \
		if ((B)->prev != NULL) \
			(B)->prev->next = NULL; \
	} else { \
		(B)->next->prev = (B)->prev; \
	} \
	(B)->next = (B)->prev = NULL;\
}
#define	LIST_HEAD(A) ((A)->head)

#ifdef	__cplusplus
}
#endif

#endif /* _LIST_H */
