/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)list_ops.h	1.6	09/05/26 SMI"

/*
 *	diskomizer64mpism
 *
 *	Write to and then read from disk partitions and or files.
 *
 *	This is a test program.
 *
 */

#ifndef _LIST_OPS_H
#define	_LIST_OPS_H

#ifdef	__cplusplus
extern "C" {
#endif

extern void add_to_aio_list(struct aioqtop *list, struct aio_str *aiop);
extern void remove_from_aio_list(struct aioqtop *list, struct aio_str *aiop);
extern int is_aio_on_list(struct aioqtop *list);
extern struct aio_str *pop_from_aio_list(struct aioqtop *list);

#ifdef	__cplusplus
}
#endif

#endif /* _LIST_OPS_H */
