/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)locks.h	1.5	09/05/26 SMI"

#ifndef _LOCKS_H
#define	_LOCKS_H

#include <pthread.h>

#ifdef	__cplusplus
extern "C" {
#endif

struct lock_funcs {
	void (*enter)(off64_t off);
	void (*exit)(off64_t off);
	void (*getnext)(off64_t old, off64_t new);
	void (*grab_all)(void);
	void (*drop_all)(void);
	void (*stdout_enter)(void);
	void (*stdout_exit)(void);
	void (*stderr_enter)(void);
	void (*stderr_exit)(void);
};
extern struct lock_funcs *mutex;
void init_locks(void);
extern int init_shared_lock(pthread_mutex_t *lock);

#ifdef	__cplusplus
}
#endif

#endif /* _LOCKS_H */
