/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)printap.c	1.10	09/05/26 SMI"

#include <stdlib.h>
#include <stdio.h>
#include "findap.h"

static void
usage()
{
	fprintf(stderr, "printap [-d devices] files ....\n");
	exit(1);
}

int
main(int argc, char **argv)
{
	char *devices = NULL;
	char c;

	while ((c = getopt(argc, argv, "d:")) != EOF) {
		switch (c) {
			case 'd':
				if (devices != NULL)
					usage();
				devices = optarg;
				break;
			default:
				usage();
				break;
		}
	}
	if (devices == NULL)
		devices = "/devices";
	for (; optind < argc; optind++) {
		struct paths *pa;
		pa = findap(argv[optind], devices);
		if (pa != NULL) {
			print_paths(pa);
			free_paths(pa);
		}
	}
	findap_fini();
	exit(0);
	/*NOTREACHED*/
}
