#!/bin/ksh -p
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#

#
# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
#ident	"@(#)printap.sh	1.8	09/05/26 SMI"

# Simple script to call the correct program. If isalist does not exist
# then you get the version for the generic architecture of the system
#
rootdir=${0%/*}
for isa in $(isalist 2> /dev/null)
do
test -x ${rootdir}/${isa}-xO4/${0##*/} && \
	exec ${rootdir}/${isa}-xO4/${0##*/} ${1+"$@"}
test -x ${rootdir}/${isa}/${0##*/} && \
	exec ${rootdir}/${isa}/${0##*/} ${1+"$@"}
done
test -x ${rootdir}/$(uname -p)-xO4/${0##*/} && \
	${rootdir}/$(uname -p)-xO4/${0##*/}${1+"$@"}

exec ${rootdir}/$(uname -p)/${0##*/} ${1+"$@"}
