/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)shared_device_info.h	1.7	09/05/26 SMI"

#ifndef _DISKOSHARED_DEVICE_INFO_H
#define	_DISKOSHARED_DEVICE_INFO_H

#ifdef	__cplusplus
extern "C" {
#endif

/*
 * General purpose information that has to be shared between processes.
 */
extern void *init_shared_device_info(int nprocs);
extern int incr_shared_device_error(void *handle, int count);
extern int get_shared_device_error(void *handle);
extern int set_shared_stop_flag(void *handle);
extern int get_shared_stop_flag(void *handle, int proc);

#ifdef	__cplusplus
}
#endif

#endif /* _DISKOSHARED_DEVICE_INFO_H */
