/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)signal_catch.h	1.7	09/05/26 SMI"

#ifndef _DISKOSIGNAL_CATCH_H
#define	_DISKOSIGNAL_CATCH_H

#ifdef	__cplusplus
extern "C" {
#endif

extern void setup_signal(int (*func)(void *, const char *fmt, ...), void * arg);
extern void *expect_signal(int signo, const char *str, void *addr, off_t len);
extern void cancel_expected_signal(int signo, void *ptr);
extern void setup_signal_catcher(int sig,
	void (*func)(int signo, siginfo_t *info, void *v), int flags);

#ifdef	__cplusplus
}
#endif

#endif /* _DISKOSIGNAL_CATCH_H */
