/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ident	"@(#)sparc_asm.s	1.8	09/05/26 SMI"

#ifdef __lint
/*ARGSUSED*/
void
flush(int *ptr)
{
}
void
flush_windows(void)
{
}
#else
/*
 * Simple routine to flush an address before it gets executed.
 */
	.align	8
	! block 0
	.global	flush
	.type	flush,2
flush:
	retl		! return
	flush %o0	! flush in the delay slot.
	.size	flush,(.-flush)
/*
 * Flush the register windows
 */
	.align	8
	! block 0
	.global	flush_windows
	.type	flush_windows,2
flush_windows:
	retl		! return
#ifdef __sparcv9
	flushw
#else
	ta 0x3
#endif
	.size	flush_windows,(.-flush_windows)
#endif /* __lint */
