/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)timeval.c	1.7	09/05/26 SMI"

#include <time.h>
#include <limits.h>
#include "timeval.h"
#define	MILLION (1000000)
struct timeval
timeval_llong_add(struct timeval *x, long long l)
{
	struct timeval tv;

	tv.tv_usec = x->tv_usec + (l % MILLION);
	if (tv.tv_usec >= MILLION) {
		tv.tv_sec = 1;
		tv.tv_usec -= MILLION;
	} else {
		tv.tv_sec = 0;
	}

	tv.tv_sec += x->tv_sec + (l / MILLION);
	if (tv.tv_sec < 0)
		tv.tv_sec = LONG_MAX;
	return (tv);
}
struct timeval
timeval_timeval_sub(struct timeval x, struct timeval y)
{
	struct timeval res;
	if (x.tv_usec < y.tv_usec) {
		x.tv_sec -= 1;
		x.tv_usec += MILLION;
	}
	res.tv_usec = x.tv_usec - y.tv_usec;
	res.tv_sec = x.tv_sec - y.tv_sec;
	if (res.tv_sec < 0)
		res.tv_sec = x.tv_usec = 0;
	return (res);
}
int
timeval_gt(struct timeval x, struct timeval y)
{
	if (x.tv_sec > y.tv_sec)
		return (1);

	if (x.tv_sec == y.tv_sec && x.tv_usec > y.tv_usec)
		return (1);
	return (0);
}
