/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)timeval.h	1.6	09/05/26 SMI"

#ifndef _TIMEVAL_H
#define	_TIMEVAL_H

#ifdef	__cplusplus
extern "C" {
#endif

#define	timeval_lt(A, B) timeval_gt(B, A)
#define	TIMEVAL_MAX(A, B) (timeval_gt(A, B) ? A : B)
#define	TIMEVAL_MIN(A, B) (timeval_lt(A, B) ? A : B)
extern int timeval_gt(struct timeval x, struct timeval y);
extern struct timeval
	timeval_llong_add(struct timeval *x, long long);
extern struct timeval
	timeval_timeval_sub(struct timeval x, struct timeval y);

#ifdef	__cplusplus
}
#endif

#endif /* _TIMEVAL_H */
