/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#pragma ident	"@(#)utils.c	1.7	09/05/26 SMI"

#include <sys/types.h>
#include <unistd.h>
#include <fcntl.h>
#include "utils.h"

/*
 * Push the file descriptor above 255 to get above stdio
 */
int
get_high_fd(int fdin)
{
	int newfd;

	if (fdin < 0)
		return (fdin);

	if ((newfd = fcntl(fdin, F_DUPFD, 0xff)) != -1) {
		(void) close(fdin);
		return (newfd);
	} else
		return (fdin);
}

/*
 * Return the greatest common divisor of two numbers.
 * See: Euclidean algorithm.
 */
int
gcd(int one, int two)
{
	int rem;

	if (one < two) {
		return (gcd(two, one));
	}

	rem = one % two;
	while (rem != 0) {
		one = two;
		two = rem;
		rem = one % two;
	}
	return (two);
}
